summaryrefslogtreecommitdiff
path: root/test/PyUnitTests.py
diff options
context:
space:
mode:
authorJohn Wiegley <johnw@newartisans.com>2012-02-29 22:13:07 -0600
committerJohn Wiegley <johnw@newartisans.com>2012-02-29 22:13:07 -0600
commitf29fc1eb12376f1bb447f8e397fb98daa7ac3327 (patch)
treebc6aaca20ceff55b71273d698d7b47db8c0c5267 /test/PyUnitTests.py
parent8021955292d22ed0df5d7b018bf4238966d9c1e7 (diff)
downloadfork-ledger-f29fc1eb12376f1bb447f8e397fb98daa7ac3327.tar.gz
fork-ledger-f29fc1eb12376f1bb447f8e397fb98daa7ac3327.tar.bz2
fork-ledger-f29fc1eb12376f1bb447f8e397fb98daa7ac3327.zip
Added skeletons for Python unit tests
Diffstat (limited to 'test/PyUnitTests.py')
-rwxr-xr-xtest/PyUnitTests.py11
1 files changed, 9 insertions, 2 deletions
diff --git a/test/PyUnitTests.py b/test/PyUnitTests.py
index a77d99ad..2aed48b9 100755
--- a/test/PyUnitTests.py
+++ b/test/PyUnitTests.py
@@ -1,6 +1,13 @@
-#!/bin/sh
+#!/bin/bash
+
+set -e
+
+PYTHONPATH="%builddir%/.libs":$PYTHONPATH \
+LD_LIBRARY_PATH="%builddir%/.libs":$LD_LIBRARY_PATH \
+DYLD_LIBRARY_PATH="%builddir%/.libs":$DYLD_LIBRARY_PATH \
+ %python% "%builddir%"/test/python/ConvertedTests.py
PYTHONPATH="%builddir%/.libs":$PYTHONPATH \
LD_LIBRARY_PATH="%builddir%/.libs":$LD_LIBRARY_PATH \
DYLD_LIBRARY_PATH="%builddir%/.libs":$DYLD_LIBRARY_PATH \
- %python% "%builddir%"/test/python/UnitTests.py
+ %python% "%srcdir%"/test/python/UnitTests.py